hmmconvert(1)

NAME

hmmconvert - convert between profile HMM file formats

SYNOPSIS
hmmconvert [options] oldhmmfile newhmmfile

DESCRIPTION
hmmconvert reads an HMM file from oldhmmfile in any HMMER format, and writes it to a new file newhmmfile in a new format. oldhmmfile and newhmmfile must be different files; you can't reliably overwrite the old file. By default, the new HMM file is written in HMMER 2 ASCII format. Available formats are HMMER 2 ASCII (default), HMMER 2 binary (-b) GCG profile (-p) , and Compugen XSW extended profile (-P).

OPTIONS

-a  Convert to HMMER 2 ASCII file. This is the default, so this option is unnecessary.

-b  Convert to HMMER 2 binary file.

-h  Print brief help; includes version number and summary of all options, including expert options.

-p  Convert to GCG profile .prf format.

-A  Append mode; append to newhmmfile rather than creating a new file.

-F  Force; if newhmmfile already exists, and -A is not being used to append to the file, hmmconvert will refuse to clobber the existing file unless -F is used.

-P  Convert the HMM to Compugen XSW extended profile format, which is similar to GCG profile format but has two extra columns for delete-open and delete-extend costs. (I do not believe that Compugen publicly supports this format; it may be undocumented.)

SEE ALSO

Master man page, with full list of and guide to the individual man pages: see hmmer(1).

A User guide and tutorial came with the distribution: Userguide.ps [Postscript] and/or Userguide.pdf [PDF].

Finally, all documentation is also available online via WWW: http://hmmer.wustl.edu/

AUTHOR
This software and documentation is:
@COPYRIGHT@
HMMER - Biological sequence analysis with profile HMMs
Copyright (C) 1992-1999 Washington University School of Medicine
All Rights Reserved
    This source code is distributed under the terms of the
    GNU General Public License. See the files COPYING and LICENSE
    for details.
See the file COPYING in your distribution for complete details.
Sean Eddy
HHMI/Dept. of Genetics
Washington Univ. School of Medicine
4566 Scott Ave.
St Louis, MO 63110 USA
Phone: 1-314-362-7666
FAX  : 1-314-362-7855
Email: eddy@genetics.wustl.edu